[Bug 195316] New: File "/usr/local/lib/python2.7/hashlib.py", line 139,

bugzilla-noreply at freebsd.org bugzilla-noreply at freebsd.org
Sun Nov 23 21:43:56 UTC 2014


https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=195316

            Bug ID: 195316
           Summary: File "/usr/local/lib/python2.7/hashlib.py", line 139,
           Product: Base System
           Version: 10.1-RELEASE
          Hardware: i386
                OS: Any
            Status: New
          Severity: Affects Only Me
          Priority: ---
         Component: misc
          Assignee: freebsd-bugs at FreeBSD.org
          Reporter: martin at marketbridge.com

Hi there,

Sorry to bother and I'd be willing to pay here... I'm having the most difficult
time trying to install Postgis - ... it requires a dependency of gtk+ (which is
does not install as a dependency) which requires the use of py-sphix.

I've tried everything to try and get this installed. I am not a programmer by
trade. hashlib.py seems to be having issues finding encryption modules. I've
installed openssl. I've added paths to by ldconfig file:

ldconfig_paths="/usr/lib/compat /usr/local/lib /usr/local/lib/compat/pkg
/usr/lib /usr/local/pgsql/lib /usr/local/include"

I tried setenv for the path. If you have time to respond, it'd be greatly
appreciated. Else, I'm off to corporate support. :P My system is FreeBSD10.1
btw.

root at database:/usr/local/lib/python2.7 # which openssl
/usr/bin/openssl
root at database:/usr/local/lib/python2.7 # pkg info | grep openssl
openssl-1.0.1_16 SSL and crypto library
root at database:/usr/local/lib/python2.7 #


root at database:/usr/ports/textproc/py-sphinx # make
===> py27-sphinx-1.2.3 depends on package: py27-Jinja2>=2.3 - found
===> py27-sphinx-1.2.3 depends on package: py27-docutils>=0.7 - found
===> py27-sphinx-1.2.3 depends on package: py27-setuptools27>0 - found
===> py27-sphinx-1.2.3 depends on file: /usr/local/bin/python2.7 - found
===> Configuring for py27-sphinx-1.2.3
ERROR:root:code for hash md5 was not found.
Traceback (most recent call last):
File "/usr/local/lib/python2.7/hashlib.py", line 139, in <module>
globals()[__func_name] = __get_hash(__func_name)
File "/usr/local/lib/python2.7/hashlib.py", line 91, in
__get_builtin_constructor
raise ValueError('unsupported hash type ' + name)
ValueError: unsupported hash type md5
ERROR:root:code for hash sha1 was not found.

-- 
You are receiving this mail because:
You are the assignee for the bug.


More information about the freebsd-bugs mailing list